# Update Cluster

You can append a cluster, or update the content of an existing cluster within your Network File Storage using the `PUT` API request.

## Endpoints

Use a [<mark style="color:blue;">region-specific endpoint</mark>](https://docs.ionos.com/cloud/backup-and-storage/network-file-storage/api-how-tos/..#regional-endpoints) to update a cluster: `https://nfs.{region}.ionos.com/clusters/{clusterId}`

## Request

{% hint style="info" %}
**Note:** The following request contains sample values. Remember to replace them with the relevant information.
{% endhint %}

```json
curl -X 'PUT' \
  'https://nfs.de-fra.ionos.com/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {},
  "properties": {
    "name": "Cluster 1",
    "connections": [
      {
        "datacenterId": "123e4567-e89b-12d3-a456-426614174001",
        "lan": "1",
        "ipAddress": "10.254.64.1/24"
      }
    ],
    "nfs": {
      "minVersion": "4.2"
    },
    "size": 8
  }
}'
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required |  Type  | Description                                                                                                                                                               |
| ----------------- | :------: | :----: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Authorization`   |    yes   | string | Use a `Bearer token`. For more information, see [Authentication](https://docs.ionos.com/cloud/backup-and-storage/network-file-storage/api-how-tos/..#api-authentication). |
| `Content-Type`    |    yes   | string | Set this to `application/json`.                                                                                                                                           |
| {% endtab %}      |          |        |                                                                                                                                                                           |
| {% endtabs %}     |          |        |                                                                                                                                                                           |

## Response

A **200** message confirms that the specified cluster is successfully updated.

```json
{
 {
  "id": "ed17eb1f-ac43-5670-9e63-8be33c475449",
  "type": "collection",
  "href": "/clusters",
  "items": [
    {
      "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "type": "cluster",
      "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null
      },
      "properties": {
        "name": "Cluster 1",
        "connections": [
          {
            "datacenterId": "123e4567-e89b-12d3-a456-426614174001",
            "lan": "1",
            "ipAddress": "10.254.64.1/24"
          }
        ],
        "nfs": {
          "minVersion": "4.2"
        },
        "size": 8
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/backup-and-storage/network-file-storage/api-how-tos/update-cluster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
